LINUX.ORG.RU

Debian 7.0 «Wheezy» заморожен

 , ,


1

3

30 июня в списке рассылки Debian Devel Announce было объявлено о переходе текущей тестовой ветки Debian в состояние заморозки. Это означает, что все дальнейшие обновления пакетов должны ограничиваться исправлениями ошибок. Пакеты, для которых на момент заморозки были более новые версии в Sid, автоматически получили исключения и будут обновлены немного позже. Прочие обновления и добавление новых пакетов возможны лишь по согласованию с Release Team (командой, ответственной за подготовку нового выпуска дистрибутива).

Среди интересных нововведений можно отметить:

  • поддержку Multiarch;
  • пакеты, когда возможно, собираются с использованием опций компилятора, повышающих безопасность (http://wiki.debian.org/HardeningWalkthrough);
  • /tmp по умолчанию в tmpfs (окончательного решения пока нет).

Debian 7.0 будет включать:

  • ядро Linux 3.2.0 (LTS-ветка);
  • поддержку стандарта LSB 4.1;
  • компилятор GCC 4.7;
  • Python 2.7;
  • Perl 5.14;
  • среду рабочего стола GNOME 3.4;
  • среду рабочего стола KDE 4.8.4 (кроме приложений KDE PIM (4.4.11));
  • среду рабочего стола Xfce 4.8;
  • офисный пакет LibreOffice 3.5.4;
  • графический редактор GIMP 2.8;
  • веб-браузер Iceweasel 10.0 (ESR-ветка);
  • почтовый клиент Icedove 10.0 (ESR-ветка);
  • веб-сервер Apache 2.2.22;
  • PHP 5.4.4;
  • MySQL 5.5.24;
  • и многое другое.

>>> 5… 4… 3… 2… 1…

★★★★★

Проверено: DoctorSinus ()

Ответ на: комментарий от evilface

Новость видел, о сроках не прочитал.

Спасибо.

tekk ★★★★★ ()

Противоречивые чувства.

apache 2.2? Это ж надо, чтобы апачевцы улучшали балансировку нагрузки, выпустили 2.4, а на данный момент доступен уже второй корректирующий выпуск 2.4.2, а сервера на стабильном дебиане «должны» следующие пару лет работать на 2.2.

Ещё из wheezy после перехода на X.Org 1.12 убрали fglrx-driver. Хотя позавчера 12.6 в sid обновили и с ним 1.12 должен работать, его так и не перенесли в testing.

А регулярные обновления (bugfix-выпуски 4.1.zz) virtualbox'а?

gag ★★★★★ ()

Прекрасная новость. А какой там версии руби ?

spiro ★★ ()

поддержку Multiarch

Ну вот, и ты, Брут.... No way!!!

abumbaher ()

не нужно, есть ubuntu lts с более долгим сроком поддержки

umren ★★★★★ ()
Ответ на: комментарий от gag

Хотя позавчера 12.6 в sid обновили и с ним 1.12 должен работать, его так и не перенесли в testing.

Не работает.

GotF ★★★★★ ()
Ответ на: комментарий от gag

Противоречивые чувства. <...> а сервера на стабильном дебиане «должны» следующие пару лет работать на 2.2.

Есть proposed-updates

его так и не перенесли в testing.

Для того, что есть в sid на момент заморозки, автоматически «выписываются» билеты в testing. Но только для той версии, что уже была. То есть version-2 автоматом попадает, а version-3 уже только через release team.

i-rinat ★★★★★ ()
Ответ на: комментарий от yanka

Что? Для сервера? На сервер надо Федорку свежую накатывать!

Versed ()
Ответ на: комментарий от Versed

То-то лор каждый раз отваливается, как maxcom начинает федорку обновлять

daemonpnz ★★★★★ ()
Ответ на: комментарий от Versed

Федора на сервере? Где это вы видели такое извращение, для этого есть ваш любимый Рэд Хэт

yanka ★★ ()
Ответ на: комментарий от GotF

Хм, дааа... А я вот как раз почти решился обновить X.Org. Был уверен, что раз в beta добавили поддержку, стабильность которой потом в дебиановском баг репорте была поставлена под сомнение, то в релизе уже всё будет ОК.

gag ★★★★★ ()

Xfce 4.8

Печально. А так хотелось в дебиане 4.10 пощупать.

MihailP ★★ ()
Ответ на: комментарий от daemonpnz

Надо же, поэтом он бывает недоступен по минут 5-10 )))

yanka ★★ ()

В ядре 3.2 устранена регрессия связанная с увеличение энергопотребления на ноутбуках? Которая появилась в ядре 2.6.38?

или еще нет?

не подскажите?

UNIm95 ()
Ответ на: комментарий от Reset

а что в этом плохого?

Я полагаю , весь этот огород, ради запуска говновайна на x86_64/Не нужно. Не по джидайски это.

abumbaher ()
Ответ на: комментарий от daemonpnz

daemonpnz

Для дебианщиков даже заморозка дистрибутива новость

Для дебианщиков только заморозка дистрибутива новость

И это так.

anonymous ()
Ответ на: комментарий от abumbaher

Для запуска вайна были ia23-libs. Multiarch это вещь немного другого масштаба. Но таки да, теперь можно поставить wine:i386 :)

GotF ★★★★★ ()
Ответ на: комментарий от dimakey

Впервые жалею, что Дебиан недостаточно медленный, чтобы остаться на Гном 2

Это да. Только со временем приходит понимание, какой же няшечкой был второгном.

UNiTE ★★★★★ ()
Ответ на: комментарий от CYB3R

Я всегда монтирую /tmp в tmpfs

И зачем?

иначе зачем вообще /tmp нужен.

Для временных файлов любого размера, которые можно убить при ребуте же.

anonymous ()

Посмотрео на пакеты и подумал: «А где тут старьё?». Вполне себе протестированные и не очень протухшие.

anonymous ()
Ответ на: комментарий от anonymous

К релизу покроется пылью :)
Надо будет снова попробовать накатить на старый ноут. Хай доживает свой век на семёрочке.

mkam ()
Ответ на: комментарий от yanka

У меня есть несколько таких серверов, никаких проблем нету. Зато весь софт самый актуальные и с последними фичами.

Versed ()
Ответ на: комментарий от daemonpnz

о да, апдейт 15->16 несет в себе кучу граблей, чую еще полежим как будем обновлять

maxcom ★★★★★ ()

среду рабочего стола Xfce 4.8

Это как-то неправильно, самое перспективное DE (у остальных перспективность уже позади) остались необновлённым. Между тем, в 4.10пусть немного, но очень полезные свойства.

Vudod ★★★★★ ()
Ответ на: комментарий от umren

А ничего что пакеты для бубунты берутся из нестабильного дебиана?

PaRuSoft ★★★★ ()

Отлично. Вот бы ещё поддержку old stable растянули года на 2.

Umberto ★☆ ()

Ну вот и славно, ждем релиза теперь.

cetjs2 ★★★★★ ()
Ответ на: комментарий от PaRuSoft

хоть из Арча, какая разница? убунта - самый стабильный серверный дистр после шапки

umren ★★★★★ ()

Круто! Ох, блин, суперкруто! :) А у меня в нетбуке давно уже 3.2.21 ведро стоит. И включены все фишечки типа PREEMPT, KSM и т. п.

ЧЯДНТ?

wheel ()
Ответ на: комментарий от wheel

ты лох позорный, четкие пацаны уже давно на 3.4.4

Reset ★★★★★ ()
Ответ на: комментарий от Pavval

при смене релизов там тоже свистопляска

Reset ★★★★★ ()
Ответ на: комментарий от Pavval

В debian'е. Смена мажорный релизов сопровождается свистопляской, ручным разруливанием зависимостей и правкой поломанных конфигов. Только не надо рассказывать сказки, что это не так. Я пользовался debian'ом по времена 2.2 .. 4.0.

Reset ★★★★★ ()
Ответ на: комментарий от Reset

Во времена, когда я в школу ходил? Я пользовался во времена 4.0...present. Разруливания зависимостей при обновлении (официальным способом - без каких-либо aptitude) вообще не нужно. Обновление хорошо оттачивается во время заморозки.

Pavval ★★★★★ ()
Ответ на: комментарий от Pavval

Не верю, что с тех времен что-то изменилось. В каких-то тривиальных случах может быть оно само и обновляет, но такие случае очень редки.

Reset ★★★★★ ()
Ответ на: комментарий от Reset

У меня за спиной десктоп. Этот конкретный десктоп прошел путь Lenny->Squeeze->Wheezy->Sid. Единственное, с чем были проблемы - иксы. Они стартовали только после реконфигурации нвиановского драйвера. Все остальное проходило прекрасно. ЧЯДНТ?

evilface ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.